Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List support inbox view run

GET/workspaces/{organizationId}/support/inbox/views/{viewId}/run
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
viewIdstringrequired
Responses
200

Run view

ticketsobject[]required
Show properties
Array of object
idstringrequired
numberintegerrequired
titlestringrequired
statusstringrequired
Allowed:tododonesnoozed
prioritystringrequired
Allowed:lowmediumhighurgent
customerobjectrequired
Show properties
idstringrequired
emailstringrequired
fullNamestring | null
primaryAssigneestring
labelsstring[]required
lastCustomerMessageAtstring<date-time>
lastAgentMessageAtstring<date-time>
createdAtstring<date-time>required
updatedAtstring<date-time>required
nextCursorstring | null
404

View not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/support/inbox/views/string/run' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "tickets": [
    {
      "id": "string",
      "number": 0,
      "title": "string",
      "status": "todo",
      "priority": "low",
      "customer": {
        "id": "string",
        "email": "string",
        "fullName": "string"
      },
      "primaryAssignee": "string",
      "labels": [
        "string"
      ],
      "lastCustomerMessageAt": "2019-08-24T14:15:22Z",
      "lastAgentMessageAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "nextCursor": "string"
}

Was this page helpful?